<div>
    <br>
    <div class="card mt-7">
        <mat-card>
            <mat-card-title>Witamy w aplikacji służącej do zgłaszania zagrożeń</mat-card-title>
            <mat-card-subtitle>Placówki w Twojej okolicy</mat-card-subtitle>
            <mat-form-field>
                <mat-label>Służby</mat-label>
                <mat-select [formControl]="services">
                    <mat-option *ngFor="let service of servicesListDto" [value]="service.name" (onSelectionChange)="getServiceUnits(service, $event)">{{service.name}}</mat-option>
                </mat-select>
            </mat-form-field>
            <br>
            <button *ngIf="findingClosestRoutePossible() && !isRouteDrewOnMap()" mat-flat-button color="primary" (click)="drawRouteToTheClosetsService()">Rysuj drogę do najbliższej placówki</button>
            <button *ngIf="isRouteDrewOnMap()" mat-flat-button color="primary" (click)="clearRoute()">Wyczyść ścieżkę</button>
        </mat-card>
    </div>

    <br>
    <agm-map (mapReady)="show()"  [latitude]="defaultCords.latitude" [longitude]="defaultCords.longitude" [mapTypeId]="location.mapType" [zoom]="location.zoom" (mapClick)="addMarker($event.coords.lat, $event.coords.lng)">
        <agm-marker *ngFor="let marker of location.markersToRender" [visible]="!isRouteDrewOnMap()"
                    [latitude]="marker.lat"
                    [longitude]="marker.lng"
                    [iconUrl]="marker.iconUrl"
        >
            <agm-info-window><strong>{{marker.label}}</strong></agm-info-window>
        </agm-marker>

        <agm-direction [visible]="isRouteDrewOnMap()"
                [origin]="origin"
                [destination]="destination"
        ></agm-direction>
    </agm-map>
    <br>
    <br>
    <br>
    <ng-container *ngIf="serviceLoaded">
    </ng-container>
</div>

